Bug 1006509 - (CVE-2013-4291) CVE-2013-4291 libvirt: supplementary groups not adjusted correctly when parsing label
CVE-2013-4291 libvirt: supplementary groups not adjusted correctly when parsi...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130829,reported=2...
: Security
Depends On: 964359 1006511 1006513
Blocks: 1006495
  Show dependency treegraph
 
Reported: 2013-09-10 14:09 EDT by Petr Matousek
Modified: 2015-10-15 13:59 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 14:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-09-10 14:09:33 EDT
Upstream Commit 29fe5d7 (released in 1.1.1) introduced a latent problem for any caller of virSecurityManagerSetProcessLabel and where the domain already had a uid:gid label to be parsed.  Such a setup would collect the list of supplementary groups during virSecurityManagerPreFork, but then ignores that information, and thus fails to call setgroups() to adjust the supplementary groups of the process.

Introduced by:
http://libvirt.org/git/?p=libvirt.git;a=commit;h=29fe5d745fbe207ec2415441d4807ae76be05974

Upstream fix:
http://libvirt.org/git/?p=libvirt.git;a=commit;h=fe11d34a6d46d6641ce90dc665164fda7bb6bff8
Comment 1 Petr Matousek 2013-09-10 14:10:51 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of libvirt package as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 2 Petr Matousek 2013-09-10 14:13:56 EDT
Created libvirt tracking bugs for this issue:

Affects: fedora-all [bug 1006511]
Comment 5 Fedora Update System 2013-09-30 22:14:43 EDT
libvirt-0.10.2.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-02 02:40:52 EDT
libvirt-1.0.5.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.